#!/usr/bin/env ruby
# coding: euc-jp

require 'cgi'                        # cgiを使う宣言をする
c = CGI.new(:accept_charset => "EUC-JP") 
print "Content-type: text/html; charset=EUC-JP\n\n"

choice = c["sagashikata"]     # フォームに記入された変数を


if choice == "症状"

print("<html>\n")
print("<head>\n")
print("<link rel=\"stylesheet\" type=\"text/css\" href=\"sagasu.css\">\n")
print("<title>症状検索</title>\n")   # <title>の表示
print("<link rel=\"shortcut icon\" href=\"smile.png\">")   # アイコン
print("<\head>\n")
print("<body>\n")
printf("<h1>症状から検索<sub><img class=\"head\" src=\"chara2.png\" width=\"100\" height=\"120\" alt=\"FUCHO\"></sub></h1>")

print("<form method=\"POST\" action =\"sagasu_shojo.rb\">\n")
print("<div class=\"center\">\n")
printf("<h3>症状を選んで下さい複数の選択も可能です。</h3>\n")

print("<table border=0>\n")
print("<tr><td><input type=\"checkbox\" name=\"a\" value=\"お腹が痛い\">お腹が痛い</td>\n")
print("<td><input type=\"checkbox\" name=\"b\" value=\"胃がもたれる\">胃がもたれる</td>\n")
print("<td><input type=\"checkbox\" name=\"c\" value=\"食欲がない\">食欲がない</td></tr>\n")

print("<tr><td><input type=\"checkbox\" name=\"d\" value=\"下痢または便秘が続く\">下痢または便秘が続く</th>\n")
print("<td><input type=\"checkbox\" name=\"e\" value=\"頭が痛い\">頭が痛い</td>\n")
print("<td><input type=\"checkbox\" name=\"f\" value=\"熱がある\">熱がある</td></tr>\n")

print("<tr><td><input type=\"checkbox\" name=\"g\" value=\"鼻水が出る\">鼻水が出る</td>\n")
print("<td><input type=\"checkbox\" name=\"h\" value=\"目が痛い・かゆい・充血する\">目が痛い・かゆい・充血する</td>\n")
print("<td><input type=\"checkbox\" name=\"i\" value=\"歯が痛い・しみる\">歯が痛い・しみる</td></tr>\n")

print("<tr><td><input type=\"checkbox\" name=\"j\" value=\"耳が痛い・耳なりがする\">耳が痛い・耳なりがする</td>\n")
print("<td><input type=\"checkbox\" name=\"k\" value=\"喉が痛い・声がでない\">喉が痛い・声がでない</td></tr>\n")

print("<tr><td><input type=\"checkbox\" name=\"n\" value=\"月経不順\">月経不順</td>\n")
print("<td><input type=\"checkbox\" name=\"o\" value=\"咳が止まらない\">咳が止まらない</td></tr>\n")

print("<tr><td><input type=\"checkbox\" name=\"p\" value=\"骨が痛い・折れたようだ\">骨が痛い・折れたようだ</td>\n")
print("<td><input type=\"checkbox\" name=\"l\" value=\"腰が痛い\">腰が痛い</td>\n")
print("<td><input type=\"checkbox\" name=\"m\" value=\"肩が痛い・凝っている\">肩が痛い・凝っている</td></tr>\n")

print("<tr><th><input type=\"checkbox\" name=\"r\" value=\"豊胸・整形・脂肪吸引・永久脱毛したい\">豊胸・脂肪吸引・脱毛したい</td>\n")
print("<td><input type=\"checkbox\" name=\"z\" value=\"整形したい\">整形したい</td></tr>\n")

print("<tr><th><input type=\"checkbox\" name=\"s\" value=\"皮膚に火傷をおった\">皮膚に火傷をおった</td>\n")
print("<td><input type=\"checkbox\" name=\"t\" value=\"呼吸が苦しい\">呼吸が苦しい</td></tr>\n")

print("<tr><th><input type=\"checkbox\" name=\"u\" value=\"幻聴・幻覚・妄想\">幻聴・幻覚・妄想</td>\n")
print("<td><input type=\"checkbox\" name=\"v\" value=\"不安で眠れない\">不安で眠れない</td></tr>\n")

print("<tr><th><input type=\"checkbox\" name=\"w\" value=\"イライラが続く\">イライラが続く</td>\n")
print("<td><input type=\"checkbox\" name=\"x\" value=\"めまい・立ちくらみ\">めまい・立ちくらみ</td>\n")
print("<td><input type=\"checkbox\" name=\"y\" value=\"物忘れ\">物忘れ</td></tr>\n")
print("</table>\n")

print("<p>\n")
print("<input type =\"submit\" value=\"検索\">\n")
print("</p>\n")
print("</div>\n")

print("</form>\n")
print("<p>\n")
print("<a href=\"http://skip.koeki-prj.org/6hour/hospital.html\">戻る</a>
<a href=\"http://skip.koeki-prj.org/\">SKIP</a>\n") 
print("最長 6 時間</p>\n") 

print("</body>\n")
print("</html>\n")


elsif choice == "診療科名"

print("<html>\n")
print("<head>\n")
print("<link rel=\"stylesheet\" type=\"text/css\" href=\"sagasu.css\">\n")
print("<title>診療科の検索</title>\n")   # <title>の表示
print("<link rel=\"shortcut icon\" href=\"smile.png\">\n")   # アイコン
print("<\head>\n")
print("<body>\n")
printf("<h1>診療科の検索結果<sub><img class=\"head\" src=\"chara2.png\" width=\"100\" height=\"120\" alt=\"FUCHO\"></sub></h1>\n")
print("<div class=\"center\">\n")
print("<form method=\"POST\" action =\"sagasu_ka3.rb\">\n")
print("<p>診療科 を選択してください。<br>複数の選択も可能です。</p>\n")

print("<table border=0>\n")
print("<tr><td><input type=\"checkbox\" name=\"naika\" value=\"内科\">内科</td>\n")
print("<td><input type=\"checkbox\" name=\"geka\" value=\"外科\">外科</td>\n")
print("<td><input type=\"checkbox\" name=\"sinryou\" value=\"心療内科\">心療内科</td></tr>\n")

print("<tr><td><input type=\"checkbox\" name=\"seisin\" value=\"精神科\">精神科</td>\n")
print("<td><input type=\"checkbox\" name=\"sinkei\" value=\"神経科\">神経科</td>\n")
print("<td><input type=\"checkbox\" name=\"sinkeinaika\" value=\"精神内科\">神経内科</td></tr>\n")

print("<tr><td><input type=\"checkbox\" name=\"kokyu\" value=\"呼吸器科\">呼吸器科</td>\n")
print("<td><input type=\"checkbox\" name=\"syouka\" value=\"消化器科\">消化器科</td>\n")
print("<td><input type=\"checkbox\" name=\"ityou\" value=\"胃腸科\">胃腸科</td></tr>\n")

print("<tr><td><input type=\"checkbox\" name=\"hihu\" value=\"皮膚科\">皮膚科</td>\n")
print("<td><input type=\"checkbox\" name=\"hinyou\" value=\"泌尿器科\">泌尿器科</td>\n")
print("<td><input type=\"checkbox\" name=\"junkan\" value=\"循環器科\">循環器科</td></tr>\n")

print("<tr><td><input type=\"checkbox\" name=\"areru\" value=\"アレルギー科\">アレルギー科</td>\n")
print("<td><input type=\"checkbox\" name=\"riumati\" value=\"リウマチ科\">リウマチ科</td>\n")
print("<td><input type=\"checkbox\" name=\"syouni\" value=\"小児科\">小児科</td></tr>\n")

print("<tr><td><input type=\"checkbox\" name=\"seikeigeka\" value=\"整形外科\">整形外科</td>\n")
print("<td><input type=\"checkbox\" name=\"keisei\" value=\"形成外科\">形成外科</td>\n")
print("<td><input type=\"checkbox\" name=\"biyou\" value=\"美容外科\">美容外科</td></tr>\n")

print("<tr><td><input type=\"checkbox\" name=\"nousinkei\" value=\"脳神経外科\">脳神経外科</td>\n")
print("<td><input type=\"checkbox\" name=\"kokyugeka\" value=\"呼吸器外科\">呼吸器外科</td>\n")
print("<td><input type=\"checkbox\" name=\"sinzou\" value=\"心臓血管外科\">心臓血管外科</td></tr>\n")

print("<tr><td><input type=\"checkbox\" name=\"syounigeka\" value=\"小児外科\">小児外科</td>\n")
print("<td><input type=\"checkbox\" name=\"koumon\" value=\"肛門科\">肛門科</td>\n")
print("<td><input type=\"checkbox\" name=\"seibyou\" value=\"性病科\">性病科</td></tr>\n")

print("<tr><td><input type=\"checkbox\" name=\"sanhujin\" value=\"産婦人科\">産婦人科</td>\n")
print("<td><input type=\"checkbox\" name=\"sanka\" value=\"産科\">産科</td>\n")
print("<td><input type=\"checkbox\" name=\"hujinka\" value=\"婦人科\">婦人科</td></tr>\n")



print("<tr><td><input type=\"checkbox\" name=\"ganka\" value=\"眼科\">眼科</td>\n")
print("<td><input type=\"checkbox\" name=\"jibiinkou\" value=\"耳鼻いんこう科\">耳鼻いんこう科</td>\n")
print("<td><input type=\"checkbox\" name=\"kikansyoku\" value=\"気管食道科\">気管食道科</td></tr>\n")

print("<tr><td><input type=\"checkbox\" name=\"rihabiri\" value=\"リハビリテーション科\">リハビリテーション科</td>\n")
print("<td><input type=\"checkbox\" name=\"masui\" value=\"麻酔科\">麻酔科</td>\n")
print("<td><input type=\"checkbox\" name=\"sika\" value=\"歯科\">歯科</td></tr>\n")

print("<tr><td><input type=\"checkbox\" name=\"housya\" value=\"放射線科\">放射線科</td>\n")
print("<td><input type=\"checkbox\" name=\"housyasindan\" value=\"放射診断科\">放射診断科</td>\n")
print("<td><input type=\"checkbox\" name=\"housyatiryou\" value=\"放射線治療科\">放射線治療科</td></tr>\n")


print("<tr><td><input type=\"checkbox\" name=\"kyousei\" value=\"矯正歯科\">矯正歯科</td>\n")
print("<td><input type=\"checkbox\" name=\"syounisika\" value=\"小児歯科\">小児歯科</td>\n")
print("<td><input type=\"checkbox\" name=\"sikakouku\" value=\"歯科口腔外科\">歯科口腔外科</td></tr>\n")

print("</table>\n")
print("<p>\n")
print("<input type =\"submit\" value=\"検索\">\n")
print("</p>\n")

print("</form>\n")
print("</div>\n")


print("<a href=\"http://skip.koeki-prj.org/6hour/hospital.html\">戻る</a>
<a href=\"http://skip.koeki-prj.org/\">SKIP</a>\n") 
# TOPへのリンクの表示
print("最長 6 時間</p>\n")   

print("</body>\n")
print("</html>\n")
end
